WolfMAME 0.173

General discussion on MAME, MARP, or whatever else that doesn't belong in any of the other forums

Moderators: mahlemiut, seymour, QRS

User avatar
mahlemiut
Editor
Posts: 4133
Joined: Mon Feb 04, 2002 10:05 pm
Location: New Zealand
Contact:

WolfMAME 0.173

Post by mahlemiut » Wed Apr 27, 2016 12:04 pm

I have a test binary available here, but it is untested, as it will crash when I try to run it in Wine.

What I need is for some of you Windows users out there to test the binary to make sure that it does work, as I cannot. I can build and run natively okay, but I don't think everyone is going to upgrade to 64-bit Linux to use that. :)

If it works without issue, then I'll strip the symbols and upload it to the usual places as normal, but I fear I might have to rely on someone else to build win32 binaries from now on.

http://mahlemiut.marpirc.net/wolfmame-0173-test.7z
- Barry Rodewald
MARP Assistant Web Maintainer
Image

User avatar
***PL***
Editor
Posts: 647
Joined: Mon Mar 11, 2002 9:37 pm

Re: WolfMAME 0.173

Post by ***PL*** » Wed Apr 27, 2016 1:47 pm

It did not work for me. Usually I just replace the executable without incident. However, there are pop up errors related to the plug-in folder and then the screen goes black. Will try a clean install on another machine and see if I get different results.

User avatar
destructor
MARPaholic
MARPaholic
Posts: 1969
Joined: Fri Sep 20, 2002 9:38 am
Location: Poland

Re: WolfMAME 0.173

Post by destructor » Wed Apr 27, 2016 2:25 pm

For me work. Win 8.1.

User avatar
Zhorik
MARP Seer
MARP Seer
Posts: 785
Joined: Mon Sep 27, 2004 8:16 pm

Re: WolfMAME 0.173

Post by Zhorik » Wed Apr 27, 2016 3:06 pm

Using Windows Pro 8.1, it works for me if I run mamearcade.exe first with no parameters then select games using the built-in UI. It doesn't work for me if I try and use the command line interface to start with certain games or use the record.bat file.

User avatar
giro-X
MARPaltunnel Wrists
MARPaltunnel Wrists
Posts: 524
Joined: Sun Dec 12, 2010 10:00 am
Location: Italy

Re: WolfMAME 0.173

Post by giro-X » Wed Apr 27, 2016 3:08 pm

Working properly if I launch mamearcade and then the game. Doesn't work with "mamearcade [game]".
Vista 32-bit here.

(allright, same as George)

User avatar
pat33999
MARP Serf
MARP Serf
Posts: 118
Joined: Sun Nov 06, 2005 4:53 am
Location: United States

Re: WolfMAME 0.173

Post by pat33999 » Wed Apr 27, 2016 3:37 pm

Works fine when using the internal GUI, but crashes when used with EmuLoader. Standard MAME 0.173 works fine in EL, so it seems that wolf173 is the problem. EL uses the command line to launch MAME, so its probably the same problem other people are having.

Here's the error message.

Code: Select all

Problem signature:
  Problem Event Name:	APPCRASH
  Application Name:	mamearcade.exe
  Application Version:	0.173.0.0
  Application Timestamp:	5720c64d
  Fault Module Name:	mamearcade.exe
  Fault Module Version:	0.173.0.0
  Fault Module Timestamp:	5720c64d
  Exception Code:	c0000005
  Exception Offset:	00f089cf
  OS Version:	6.1.7601.2.1.0.256.1
  Locale ID:	1033
  Additional Information 1:	0a9e
  Additional Information 2:	0a9e372d3b4ad19135b953a78882e789
  Additional Information 3:	0a9e
  Additional Information 4:	0a9e372d3b4ad19135b953a78882e789

User avatar
***PL***
Editor
Posts: 647
Joined: Mon Mar 11, 2002 9:37 pm

Re: WolfMAME 0.173

Post by ***PL*** » Wed Apr 27, 2016 6:50 pm

Two separate systems, still doesn't work right for me.

Windows 7 - 0.173 has completely messed up my MAME sub-folders, nothing works... not even recent older versions such as 0.171 & 0.172 work properly that were fine prior to installing 0.173. I think the problem is MAME.INI structure got changed which is now incompatible with prior versions. Also, the GUI is now blurry, so it could be related.

Windows 10 - had MAME 0.170 installed and working perfectly. Upgraded to 0.173 binary, and the color saturation is now incorrect. Works from GUI, works from command line. Added MAMEARCADE executable. Works from GUI, does NOT work from command line. So in summary, same results as others for WolfMAME 0.173, however, I do believe some graphical problems have been introduced with 0.173 - namely, increased color saturation and some game colors are now wrong.

User avatar
mahlemiut
Editor
Posts: 4133
Joined: Mon Feb 04, 2002 10:05 pm
Location: New Zealand
Contact:

Re: WolfMAME 0.173

Post by mahlemiut » Wed Apr 27, 2016 7:40 pm

Ok, thanks to Pat's mention of plugin related errors, I can now get it running in Wine now, using -noplugins. Hopefully that will help most of you.

Pat: can you post exactly what the plugin errors you were getting were?
- Barry Rodewald
MARP Assistant Web Maintainer
Image

User avatar
***PL***
Editor
Posts: 647
Joined: Mon Mar 11, 2002 9:37 pm

Re: WolfMAME 0.173

Post by ***PL*** » Wed Apr 27, 2016 8:17 pm

mahlemiut wrote:Pat: can you post exactly what the plugin errors you were getting were?
For each error there are two pop ups.

1) Unable to parse plugin definition file ... [see below]
2) Missing a name for object member

plugins\coro-channel\plugin.json
plugins\coro-fs\plugin.json
plugins\coro-http\plugin.json
plugins\coro-net\plugin.json
plugins\coro-tls\plugin.json
plugins\coro-wrapper\plugin.json
plugins\http-codec\plugin.json
plugins\mime\plugin.json
plugins\path\plugin.json
plugins\pretty-print\plugin.json
plugins\querystring\plugin.json
plugins\weblit\plugin.json
plugins\webserver\plugin.json
plugins\websocket-codec\plugin.json

[LUA ERROR] plugins\boot.lua:19: attempt to index a nil value (global 'mame_manager')

Then goes to a black screen, followed by a fuzzy GUI screen

User avatar
mahlemiut
Editor
Posts: 4133
Joined: Mon Feb 04, 2002 10:05 pm
Location: New Zealand
Contact:

Re: WolfMAME 0.173

Post by mahlemiut » Wed Apr 27, 2016 9:46 pm

Interesting, these plugins don't exist anymore in MAME (removed because of licensing issues), although it looks like they were in 0.171. Try deleting plugin.ini.
- Barry Rodewald
MARP Assistant Web Maintainer
Image

User avatar
BBH
Editor
Posts: 1564
Joined: Wed Feb 06, 2002 7:06 am
Location: Portland, Oregon
Contact:

Re: WolfMAME 0.173

Post by BBH » Wed Apr 27, 2016 10:53 pm

Zhorik wrote:Using Windows Pro 8.1, it works for me if I run mamearcade.exe first with no parameters then select games using the built-in UI. It doesn't work for me if I try and use the command line interface to start with certain games or use the record.bat file.
giro-X wrote:Working properly if I launch mamearcade and then the game. Doesn't work with "mamearcade [game]".
Vista 32-bit here.

(allright, same as George)
Exact same thing happening for me, on Windows 7 64-bit.

User avatar
mahlemiut
Editor
Posts: 4133
Joined: Mon Feb 04, 2002 10:05 pm
Location: New Zealand
Contact:

Re: WolfMAME 0.173

Post by mahlemiut » Thu Apr 28, 2016 1:30 am

One more change that causes issues for me in Wine, is that the sound output now defaults to using XAudio2. You can still use the old DirectSound driver with -sound dsound. But I'd expect XAudio2 to not be an issue for those using Windows, but perhaps worth a shot.
- Barry Rodewald
MARP Assistant Web Maintainer
Image

User avatar
mahlemiut
Editor
Posts: 4133
Joined: Mon Feb 04, 2002 10:05 pm
Location: New Zealand
Contact:

Re: WolfMAME 0.173

Post by mahlemiut » Thu Apr 28, 2016 4:17 am

BBH wrote:
Zhorik wrote:Using Windows Pro 8.1, it works for me if I run mamearcade.exe first with no parameters then select games using the built-in UI. It doesn't work for me if I try and use the command line interface to start with certain games or use the record.bat file.
giro-X wrote:Working properly if I launch mamearcade and then the game. Doesn't work with "mamearcade [game]".
Vista 32-bit here.

(allright, same as George)
Exact same thing happening for me, on Windows 7 64-bit.
Seems I get this also, while running via Wine. Could someone post the stack trace from the crash (Wine doesn't give any useful info)? (Use the test version, which has symbols, not the binary on GitHub)
- Barry Rodewald
MARP Assistant Web Maintainer
Image

User avatar
pat33999
MARP Serf
MARP Serf
Posts: 118
Joined: Sun Nov 06, 2005 4:53 am
Location: United States

Re: WolfMAME 0.173

Post by pat33999 » Thu Apr 28, 2016 7:14 pm

The author of EmuLoader said this about the error I'm getting:
This error code is caused by a corrupt mame.exe, it's not caused by Emu Loader.

User avatar
mahlemiut
Editor
Posts: 4133
Joined: Mon Feb 04, 2002 10:05 pm
Location: New Zealand
Contact:

Re: WolfMAME 0.173

Post by mahlemiut » Thu Apr 28, 2016 9:16 pm

Ok, I've rebuilt the binary from scratch again, and it seems to work well now. It has been updated on GitHub now, so please re-download it.

I guess fiddling with git while building is a bad idea... (only reason I can come up with :))
- Barry Rodewald
MARP Assistant Web Maintainer
Image

Post Reply